var _excluded = ["onThis"];

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/* eslint-disable */
// eslint-disable-next-line no-undef
Component({
  options: {
    styleIsolation: 'apply-shared'
  },
  props: {
    id: '',
    onThis: function onThis(data) {
      console.log(data);
    },
    style: '',
    className: '',
    content: '',
    visible: false
  },
  data: {
    visible: false,
    className: '',
    style: '',
    content: ''
  },
  didMount: function didMount() {
    var _this$props = this.props,
        onThis = _this$props.onThis,
        props = _objectWithoutProperties(_this$props, _excluded);

    this.setData(props);
    this.props.onThis(this);
  }
});